Subject: Re: bug#19031: 24.4; find-file in icomplete-mode shows completions with no input

From: Ole Laursen <[email-masked]>
Date: Tue, 8 Dec 2020 18:09:38 +0100

Den tir. 8. dec. 2020 kl. 17.16 skrev Andrii Kolomoiets <[email-masked]>:
> Yes.  It's not about filtering out dotfiles but about to make icomplete
> to not show completions until user starts typing filename.  Completions
> (including dotfiles) will be shown when user will type e.g. ".e" or when
> the 'icomplete-show-matches-on-no-input' variable is t.

So conceptually chop the path up and consider each component of it a
separate completion task? I think that is a good match for how I'm
going about it.

Ole